[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.DoSelectionChanged

Performs actions needed when the selection for the tree view has been changed.

## Declaration

Source position: comctrls.pp line 3637

`protected procedure TCustomTreeView.DoSelectionChanged; virtual;`

## Description

DoSelectionChanged is called when a value in the Selection or MultiSelected property is changed. It signals the OnSelectionChange event handler (when assigned).

DoSelectionChanged is called after the flags in States has been updated to include tvsSelectionChanged, and before the change timer is enabled for the control.